library("testthat")

points_for_all_tests(character(0))

test("'a' is in the correct range", character(0), {
  expect_true(a > 400 & a < 450)
})

test("the first three elements of 'b' are correct", character(0), {
  expect_equal(b[1:3], c(1, 2, 3))
})

test("the first three elements of c1 are correct", character(0), {
  expect_equal(c1[1:3], c(20.223748, 10.111874, 6.741249), tolerance=1e-5, scale=1)
})

test("the first three elements of 'd' are correct", character(0), {
  expect_equal(d[1:3], c(-0.72342876, -0.84813411, -0.04130772), tolerance=1e-5, scale=1)
})

test("e1 is approximately correct", character(0), {
  expect_equal(e1, 5.7, tolerance=1, scale=1)
})
