library("testthat")

points_for_all_tests(character(0))

test("the first column of X is correct", character(0), {
  expect_equal(X[,1], c(2, 9, -3))
})

test("the first column of Y is correct", character(0), {
  expect_equal(Y[,1], c(4, 0, 0))
})

test("the first column of Z is correct", character(0), {
  expect_equal(Z[,1], c(8, 36, -12))
})

test("the first row of Z2 is correct", character(0), {
  expect_equal(Z2[1,], c(8, 4, 4, 1))
})

test("the first column of Z3 is correct", character(0), {
  expect_equal(Z3[,1], c(8, 36, -12, 1))
})

test("the first column of invtZ3 is correct", character(0), {
  expect_equal(invtZ3[,1], c(-0.0259295499, 0.0308219178, -0.0007338552, 0.0890410959), tolerance=1e-6, scale=1)
})
